## HTTPClient
Class CIHashtable

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              HTTPClient.CIHashtable

All Implemented Interfaces:
  Cloneable, Map, Serializable

class CIHashtable
extends Hashtable

This class implements a Hashtable with case-insensitive Strings as keys.

Nested Class Summary

Nested classes inherited from class java.util.Hashtable
``

Constructor Summary
`CIHashtable()` Create a new CIHashtable with a default initial capacity.
`CIHashtable(int initialCapacity)` Create a new CIHashtable with the specified initial capacity.
`CIHashtable(int initialCapacity, float loadFactor)` Create a new CIHashtable with the specified initial capacity and the specified load factor.

Method Summary
`boolean` `containsKey(String key)` Looks whether any object is associated with the specified key.
`Object` `get(String key)` Retrieves the object associated with the specified key.
`Enumeration` `keys()` Returns an enumeration of all the keys in the Hashtable.
`Object` `put(String key, Object value)` Stores the specified object with the specified key.
`Object` `remove(String key)` Removes the object associated with this key from the Hashtable.

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIHashtable

    public CIHashtable(int initialCapacity,
                       float loadFactor)

  Create a new CIHashtable with the specified initial capacity and the specified load factor.

Parameters:
  `loadFactor` - a number between 0.0 and 1.0
See Also:
  `java.util.Hashtable(int, float)`

### CIHashtable

    public CIHashtable(int initialCapacity)

  Create a new CIHashtable with the specified initial capacity.

See Also:
  `java.util.Hashtable(int)`

### CIHashtable

    public CIHashtable()

  Create a new CIHashtable with a default initial capacity.

See Also:
  `java.util.Hashtable()`

Method Detail

### get

    public Object get(String key)

  Retrieves the object associated with the specified key. The key lookup is case-insensitive.

  Parameters:
    `key` - the key
  Returns:
    the object associated with the key, or null if none found.
  See Also:
    `java.util.Hashtable.get(Object)`

### put

    public Object put(String key,
                      Object value)

  Stores the specified object with the specified key.

  Parameters:
    `key` - the key
    `value` - the object to be associated with the key
  Returns:
    the object previously associated with the key, or null if there was none.
  See Also:
    `java.util.Hashtable.put(Object, Object)`

### containsKey

    public boolean containsKey(String key)

  Looks whether any object is associated with the specified key. The key lookup is case insensitive.

  Parameters:
    `key` - the key
  Returns:
    true is there is an object associated with key, false otherwise
  See Also:
    `java.util.Hashtable.containsKey(Object)`

### remove

    public Object remove(String key)

  Removes the object associated with this key from the Hashtable. The key lookup is case insensitive.

  Parameters:
    `key` - the key
  Returns:
    the object associated with this key, or null if there was none.
  See Also:
    `java.util.Hashtable.remove(Object)`

### keys

    public Enumeration keys()

  Returns an enumeration of all the keys in the Hashtable.

  Returns:
    the requested Enumerator
  See Also:
    `java.util.Hashtable.keys(Object)`